/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, IList$1_$type, IList_$type, Number_$type, markType, getEnumerator } from "./type";
/**
 * @hidden
 */
var ReadOnlyDoubleCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ReadOnlyDoubleCollection, _super);
    function ReadOnlyDoubleCollection(a) {
        var _rest = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            _rest[_i - 1] = arguments[_i];
        }
        var _this = _super.call(this) || this;
        _this.a = null;
        _this.c = ({});
        a = (a == void 0) ? 0 : a;
        switch (a) {
            case 0: break;
            case 1:
                {
                    var c = _rest[0];
                    _this.a = c;
                }
                break;
        }
        return _this;
    }
    ReadOnlyDoubleCollection.prototype.item = function (a, b) {
        if (arguments.length === 2) {
            this.a.item(a, b);
            return b;
        }
        else {
            return this.a.item(a);
        }
    };
    ReadOnlyDoubleCollection.prototype.indexOf = function (a) {
        return this.a.indexOf(a);
    };
    ReadOnlyDoubleCollection.prototype.insert = function (a, b) {
    };
    ReadOnlyDoubleCollection.prototype.removeAt = function (a) {
    };
    Object.defineProperty(ReadOnlyDoubleCollection.prototype, "count", {
        get: function () {
            return this.a.count;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ReadOnlyDoubleCollection.prototype, "isReadOnly", {
        get: function () {
            return true;
        },
        enumerable: false,
        configurable: true
    });
    ReadOnlyDoubleCollection.prototype.add = function (a) {
    };
    ReadOnlyDoubleCollection.prototype.clear = function () {
    };
    ReadOnlyDoubleCollection.prototype.contains = function (a) {
        return this.a.contains(a);
    };
    ReadOnlyDoubleCollection.prototype.copyTo = function (a, b) {
        this.a.copyTo(a, b);
    };
    ReadOnlyDoubleCollection.prototype.remove = function (a) {
        return false;
    };
    ReadOnlyDoubleCollection.prototype.getEnumerator = function () {
        return getEnumerator(this.a);
    };
    ReadOnlyDoubleCollection.prototype.getEnumeratorObject = function () {
        return getEnumerator(this.a);
    };
    Object.defineProperty(ReadOnlyDoubleCollection.prototype, "isFixedSize", {
        get: function () {
            return true;
        },
        enumerable: false,
        configurable: true
    });
    ReadOnlyDoubleCollection.prototype.add1 = function (a) {
        return -1;
    };
    ReadOnlyDoubleCollection.prototype.contains1 = function (a) {
        return this.a.contains(a);
    };
    ReadOnlyDoubleCollection.prototype.indexOf1 = function (a) {
        return this.a.indexOf(a);
    };
    ReadOnlyDoubleCollection.prototype.insert1 = function (a, b) {
    };
    ReadOnlyDoubleCollection.prototype.remove1 = function (a) {
    };
    ReadOnlyDoubleCollection.prototype.copyTo1 = function (a, b) {
        this.a.copyTo(a, b);
    };
    Object.defineProperty(ReadOnlyDoubleCollection.prototype, "b", {
        get: function () {
            return this.a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ReadOnlyDoubleCollection.prototype, "isSynchronized", {
        get: function () {
            return true;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ReadOnlyDoubleCollection.prototype, "syncRoot", {
        get: function () {
            return this.c;
        },
        enumerable: false,
        configurable: true
    });
    ReadOnlyDoubleCollection.$t = markType(ReadOnlyDoubleCollection, 'ReadOnlyDoubleCollection', Base.$, [IList$1_$type.specialize(Number_$type), IList_$type]);
    return ReadOnlyDoubleCollection;
}(Base));
export { ReadOnlyDoubleCollection };
